#include "Coordinate.h"
#include <sstream>


Coordinate::Coordinate(int dim, double* comps) 
{
   this->dim = dim;
   components = new double[dim];
   for (int i=0; i<dim; i++)
      components[i] = comps[i];
}

Coordinate::Coordinate(const Coordinate& c) {
   dim = c.dim;
   components = new double[dim];
	
   for (int i=0;i<dim;i++)
      components[i]=c.components[i];
}

Coordinate::~Coordinate() {
   delete [] components;
}

int Coordinate::getDimensions() const
{
   return dim;
}

double*
Coordinate::getComponents() const 
{
   double* comps = new double[dim];
   for (int i=0; i<dim; i++)
      comps[i] = this->components[i];
   return comps;
}

bool Coordinate::operator==(const Coordinate& c) const {
   if (this == &c) return true;
   if (dim != c.dim) return false;
   for (int i=0;i<dim;i++)
      if (components[i] != c.components[i]) return false;
   return true;
}

